# Generated from ecom_model-2.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ecom_model

Name: rubygem-%{gem_name}
Version: 2.0.4
Release: 1%{?dist}
Summary: Model engine for construction management application
License: MIT
URL: http://www.mks.com.et
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(factory_bot_rails)
# BuildRequires: rubygem(ffaker)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(shoulda-matchers)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
An engine which contains models of a construction management app as a layer.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 2.0.4-1
- Initial package
